import { HostAppService } from 'tabby-core';
import { SettingsTabProvider } from 'tabby-settings';
/** @hidden */
export declare class ShellSettingsTabProvider extends SettingsTabProvider {
    private hostApp;
    id: string;
    icon: string;
    title: string;
    constructor(hostApp: HostAppService);
    getComponentType(): any;
}
